Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.DockWidgetArea

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.DockWidgetArea

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.DockWidgetArea

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.DockWidgetArea` | `BottomDockWidgetArea`
`static Qt.DockWidgetArea` | `DockWidgetArea_Mask`
`static Qt.DockWidgetArea` | `LeftDockWidgetArea`
`static Qt.DockWidgetArea` | `NoDockWidgetArea`
`static Qt.DockWidgetArea` | `RightDockWidgetArea`
`static Qt.DockWidgetArea` | `TopDockWidgetArea`

Method Summary
`static Qt.DockWidgetAreas` | `createQFlags(Qt.DockWidgetArea[] values)` This function creates a com.trolltech.qt.core.Qt$DockWidgetAreas with the specified `com.trolltech.qt.core.Qt$DockWidgetArea[]` DockWidgetArea values set.
`static Qt.DockWidgetArea` | `resolve(int value)` Returns the DockWidgetArea constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DockWidgetArea` | `valueOf(java.lang.String name)`
`static Qt.DockWidgetArea[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LeftDockWidgetArea

    public static final Qt.DockWidgetArea LeftDockWidgetArea

### RightDockWidgetArea

    public static final Qt.DockWidgetArea RightDockWidgetArea

### TopDockWidgetArea

    public static final Qt.DockWidgetArea TopDockWidgetArea

### BottomDockWidgetArea

    public static final Qt.DockWidgetArea BottomDockWidgetArea

### DockWidgetArea_Mask

    public static final Qt.DockWidgetArea DockWidgetArea_Mask

### NoDockWidgetArea

    public static final Qt.DockWidgetArea NoDockWidgetArea

Method Detail

### values

    public static Qt.DockWidgetArea[] values()

### valueOf

    public static Qt.DockWidgetArea valueOf(java.lang.String name)

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.DockWidgetAreas createQFlags(Qt.DockWidgetArea[] values)

  This function creates a com.trolltech.qt.core.Qt$DockWidgetAreas with the specified `com.trolltech.qt.core.Qt$DockWidgetArea[]` DockWidgetArea values set.

### resolve

    public static Qt.DockWidgetArea resolve(int value)

  Returns the DockWidgetArea constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD